CVE-2020-27617

medium

Description

eth_get_gso_type in net/eth.c in QEMU 4.2.1 allows guest OS users to trigger an assertion failure. A guest can crash the QEMU process via packet data that lacks a valid Layer 3 protocol.

References

http://www.openwall.com/lists/oss-security/2020/11/02/1

https://lists.nongnu.org/archive/html/qemu-devel/2020-10/msg05731.html

https://lists.debian.org/debian-lts-announce/2020/11/msg00047.html

https://security.netapp.com/advisory/ntap-20201202-0002/

Details

Source: MITRE

Published: 2020-11-06

Updated: 2022-01-06

Type: CWE-617

Risk Information

CVSS v2

Base Score: 4

Vector: AV:N/AC:L/Au:S/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8

Severity: MEDIUM

CVSS v3

Base Score: 6.5

Vector: CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 2.8

Severity: MEDIUM